import version

from setuptools import setup

def _get_version(tags):
    potential = [t for t in tags if t != 'tip']
    if potential:
        return potential[0]
    return 'devel'

setup(
    name="Mercurial Version Info Plugin",
    py_modules=['hgversioninfo'],
    author="Christian Wyglendowski",
    author_email="christian@dowski.com",
    url="http://bitbucket.org/dowski/mercurial-version-info-plugin/overview",
    version=_get_version(version.tags),
    install_requires=['mercurial'],
)

